"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const path = require("path");
require("chai");
describe('info', () => {
    test_1.test
        .stdout()
        .command(['info', path.join('examples', 'swagger.json')])
        .it('prints information about a definition file', (ctx) => {
        test_1.expect(ctx.stdout).to.contain('title');
        test_1.expect(ctx.stdout).to.contain('version');
    });
    test_1.test
        .stdout()
        .command(['info', path.join('examples', 'swagger.json'), '--operations'])
        .it('lists api operations', (ctx) => {
        test_1.expect(ctx.stdout).to.contain('Operations:');
    });
});
