import { Command } from '@oclif/command';
export default class Info extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        operations: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        schemas: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
}
